package Maccess_db;

use strict;

my $pkg="Maccess_db";

#= Navazani spojeni s databazi (provede se okamzite pri prekladani knihovny)
BEGIN {
   use Meopta;
   use DBI;
   # promene nize nejsou uvedeny klauzuli my, aby mohli byt dale v baliku Maccess pouzity
   $Maccess_db::driver="mysql";
   $Maccess_db::database="maccess";
   $Maccess_db::hostname="localhost";
   # konekce k SQL systemova (s pravy vlastnika scriptu)
# !!! remark next line
   my ($user,$pass)=Meopta->sql_user_password;
# !!! unremark next line and set username and password
#   my ($user,$pass)=("root","stupid"); 
   $Maccess_db::dbh=DBI->connect("DBI:$Maccess_db::driver:$Maccess_db::database:$Maccess_db::hostname",$user,$pass);
}

#= Uzavreni spojeni s databazi (provadi se pri ukoncovani interpretu - dokonce i pri die)
END {
   $Maccess_db::dbh->disconnect;
}

sub maccess_driver { return $Maccess_db::driver; }
sub maccess_database { return $Maccess_db::database; }
sub maccess_hostname { return $Maccess_db::hostname; }
sub maccess_dbh { return $Maccess_db::dbh; }

return 1;

